=== modified file 'dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java'
--- dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java	2009-09-08 20:33:48 +0000
+++ dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java	2009-09-10 17:04:18 +0000
@@ -252,6 +252,8 @@
     {
         String[] rels = relations.split( RELATION_SEPARATOR );
         
+        Map map = getMapByMapLayerPath( mapLayerPath );
+        
         relationsLoop : for ( int i = 0; i < rels.length; i++ )
         {
             String[] rel = rels[i].split( PAIR_SEPARATOR );
@@ -270,7 +272,7 @@
                 continue relationsLoop;
             }
             
-            addOrUpdateMapOrganisationUnitRelation( mapLayerPath, Integer.parseInt( rel[0] ), rel[1] );
+            addOrUpdateMapOrganisationUnitRelation( map, Integer.parseInt( rel[0] ), rel[1] );
         }
     }
 
@@ -292,7 +294,12 @@
     public void addOrUpdateMapOrganisationUnitRelation( String mapLayerPath, int organisationUnitId, String featureId )
     {
         Map map = getMapByMapLayerPath( mapLayerPath );
-
+        
+        addOrUpdateMapOrganisationUnitRelation( map, organisationUnitId, featureId );
+    }
+    
+    private void addOrUpdateMapOrganisationUnitRelation( Map map, int organisationUnitId, String featureId )
+    {
         OrganisationUnit organisationUnit = organisationUnitService.getOrganisationUnit( organisationUnitId );
 
         MapOrganisationUnitRelation mapOrganisationUnitRelation = getMapOrganisationUnitRelation( map, organisationUnit );

